# bcSampe テーマ


## 概要

baserCMSの基本機能を全て実装しているテーマです。
このテーマをベースにデザインを変更しやすいよう、極力シンプルなデザインとしています。
バージョン２より、レスポンシブデザインに対応しています。

## 利用方法

通常のテーマと同様に、テーマ管理にてテーマ適用し、必ず、初期データ読込を実行してください。
- default : サンプルデータ入り
- empty : サンプルデータなし

## 各ファイルの説明

このテーマは、baserCMSの全ての機能に対応している為、非常に多くのテンプレートを含んでいますが、
実装しない機能に関わるテンプレートは不要となります。
必要なものだけを調整します。

各ファイルの役割について以下に示します。

- /__assets/ --- sass 用ファイル
- /css/ --- スタイルシート
- /img/ --- 画像ファイル
- /js/ --- Javascriptファイル
- /files/ --- ブログのアイキャッチ等、管理画面でアップロードしたファイル
- /Config/ --- 初期データ等
- /Layouts/ --- 大枠となるテンプレート
- /Elements/ --- 各テンプレートより呼び出される部品となるテンプレート
- /Emails/ --- メールのテンプレート
- /Erros/ --- Not Found 等エラー用のテンプレート
- /Maintenance/ --- メンテナンス中時のテンプレート
- /Helper/ --- テーマ内で利用する表示用関数
- /SiteIndices/ --- サイト内検索のテンプレート
- /Blog/ --- ブログのテンプレート
- /Feed/ --- フィード読込のテンプレート
- /Mail/ --- メールフォームのテンプレート
- /Pages/ --- 固定ページのテンプレート
- /config.php --- テーマの説明を記載
- /README.md --- このファイル
- /screenshot.png --- テーマのスクリーンショット
- /VERSION.txt --- テーマのバージョン

また、各テンプレートのヘッダ部分には、簡単な説明と、
どこから呼び出されるかが記載されていますので参考にしてください。

## スタイルシートについて

独自のスタイルシートは４つ存在します。各ファイルの役割を以下に示します。

- config.css --- テーマ設定でメインカラーやサブカラーを設定する為に利用
- editor.css --- 管理画面のWYSIWYGエディタ上で参照する為に利用
- bge_style.css --- 「BurgerEditor」プラグインを利用する場合に管理画面の表示を最適化するために利用
- style.css --- フロントで参照する為に利用

直接編集してもいいですが、scss ファイルを編集する場合は、 `/__assets/` フォルダ内で、sass 環境を作る必要があります。

```
npm install
gulp
```
